gnutls_certificate_set_pin_function(3)

NAME
gnutls_certificate_set_pin_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_certificate_set_pin_function(gnutls_certificate_credentials_t cred, gnutls_pin_callback_t fn, void * userdata);

ARGUMENTS

gnutls_certificate_credentials_t       cred
    is a gnutls_certificate_credentials_t structure.

gnutls_pin_callback_t fn
    A PIN callback

void * userdata
    Data to be passed in the callback

DESCRIPTION
This function will set a callback function to be used when required to access a protected object. This function overrides any other global PIN functions. Note that this function must be called right after initialization to have effect.

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/